Bug 533035 - SMART responses for SATA disks on SAS get interpreted as errors
Summary: SMART responses for SATA disks on SAS get interpreted as errors
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-04 18:52 UTC by Pim Zandbergen
Modified: 2012-03-05 21:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-21 12:36:24 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Linux Kernel 13594 0 None None None Never

Description Pim Zandbergen 2009-11-04 18:52:27 UTC
Description of problem:

Running smartctl or smartd on SATA disks connected to a SAS controller
using the mptsas driver causes error messages in the syslog

Version-Release number of selected component (if applicable):
any 2.6.30 kernel, ie kernel-2.6.30.8-64.fc11.x86_64


How reproducible:
always


Steps to Reproduce:
1. connect a SATA disk to an mptsas SAS controller
2. run smartctl -a -d sat /dev/sdX
3. view /var/log/messages
  
Actual results:
Nov  4 19:40:41 moog kernel: sd 10:0:4:0: [sdh] Sense Key : Recovered Error [current] [descriptor]
Nov  4 19:40:41 moog kernel: Descriptor sense data with sense descriptors (in hex):
Nov  4 19:40:41 moog kernel:        72 01 00 1d 00 00 00 0e 09 0c 00 00 00 00 00 00 
Nov  4 19:40:41 moog kernel:        00 4f 00 c2 00 50 
Nov  4 19:40:41 moog kernel: sd 10:0:4:0: [sdh] Add. Sense: ATA pass through information available


Expected results:
no error messages


Additional info:
these errors get reported by logwatch

Comment 1 Bug Zapper 2010-04-28 11:05:34 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Pim Zandbergen 2010-05-03 08:49:11 UTC
This issue is still not fixed in Fedora 12 using kernel-2.6.32.11-99.fc12.x86_64

Comment 3 Ken Stailey 2010-07-13 11:07:45 UTC
I ported the LSI MPT version 4.22.00.00-2 driver to kernel 2.6.32 but on Ubuntu.  Instructions on how to apply via dkms (which should be portable to Fedora 12 / RHEL 6) are at https://bugs.launchpad.net/debian/+bug/474207

Comment 4 Pim Zandbergen 2010-07-13 11:22:32 UTC
Actually, this issue is fixed in the 2.6.33 kernels that come with Fedora 13.

Comment 5 Ken Stailey 2010-07-13 11:36:36 UTC
Can you offer me any pointers to what was changed?

Was this fix also provided for 2.6.32 in RHEL 6 betas?

Thanks

Comment 6 Pim Zandbergen 2010-07-13 12:57:15 UTC
I can't tell what was changed that made this issue disappear. I can only tell the issue went away on every server I upgraded. I probably should have reported that earlier.

I'm not even sure whether this was a problem with LSI cards only or a generic problem.

The kernel bugzilla does not mention anything either.

Comment 8 Pim Zandbergen 2010-07-21 09:00:28 UTC
The issues in comment #7 look like something different to me.

Bug 533035 is about logging a non-error as an error.

Comment 9 Chuck Ebbert 2010-07-21 12:35:30 UTC
(In reply to comment #7)
> This issue has not been fixed in Fedora 13 for my system.
> 
> http://farm5.static.flickr.com/4135/4813320660_d2911fde74_b.jpg
> 

That is a completely different error. Please file a bug against Fedora 13.

Comment 10 Chuck Ebbert 2010-07-21 12:36:24 UTC
Closing as fixed in Fedora 13.


Note You need to log in before you can comment on or make changes to this bug.